Bug 601197 - Need a bundle creation wizard
Need a bundle creation wizard
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
3.0.0
All All
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon24-provisioning jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-06-07 09:03 EDT by Heiko W. Rupp
Modified: 2014-05-29 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 15:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2010-06-07 09:03:55 EDT
To e.g. deploy a war file to multiple hosts, it is necessary to create a bundle with the war file and the recipe in it - there should be a wizard type of thing to create simple recipes for this purpose.
Comment 1 Charles Crouch 2010-06-07 09:17:06 EDT
I thought we already supported specifying a recipe in the wizard, separate from the files to be pushed out? Wasnt this how it worked earlier?
Comment 2 John Mazzitelli 2010-06-07 09:26:13 EDT
We do not have a wizard that lets you develop on-the-fly recipes. There is nothing like a "recipe editor" for example.

You write the recipe using some text editor (today we have two flavors of recipes but we recommend the Ant recipe), and you can directly upload it via the Create Bundle Wizard. You will then be asked to upload the files that are needed by the recipe.

You can optionally build a "bundle distribution file" that contains both the recipe and the file(s) needed by the recipe.

Lowering severity and priority - this is a "nice to have" feature.
Comment 3 Heiko W. Rupp 2010-06-07 09:29:22 EDT
about #1 : yes

what I meant is a recipe editor in a form like

What do you want to?

1) deploy war / ear to machines
...

What is the bundle version?

Where is your war?

Where shall I put it?

< more question >

==> You will find a .zip at /tmp/foo.zip that you can upload now

---------------

We need to make users awsome!
Comment 4 Heiko W. Rupp 2010-07-28 11:11:09 EDT
There is actually something in master called 'bundleGen'

Note You need to log in before you can comment on or make changes to this bug.